Page MenuHomePhabricator

Add 'always email me' type option for direct mentions, ccs, assignments, etc
Closed, ResolvedPublic

Description

I would like to always receive an email in some cases, such as when being directly interacted with, so that I may use email to reply.

Event Timeline

chad created this task.Mar 21 2014, 8:48 PM
chad raised the priority of this task from to Normal.
chad updated the task description. (Show Details)
chad added subscribers: chad, epriestley, btrahan.

Some of these cases, like mentions, are pretty clear-cut.

Do you want an email on CC/Assign even if Herald is doing it? Or only if a user is doing it? Presumably only a user.

We could start with a common setting for "Another user mentions my username in a comment." and maybe provide application-specific stuff for "assign" and a second common setting for explicit subscribes.

wotte added a comment.Aug 25 2014, 3:19 AM

I think this would satisfy T4226 for me.

eadler added a project: Restricted Project.Jan 9 2016, 12:38 AM
eadler moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
eadler moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jul 4 2016, 9:15 PM
epriestley moved this task from Backlog to v3 on the Mail board.Jul 16 2016, 1:56 PM

Some discussion of current context in T10448#186240.

This also has SAAS customer interest.

Taskle added a comment.EditedMar 15 2017, 10:55 PM

Just wanted to chime in as a SaaS customer. :) We've been using Phab from a team of 15 to now we're about 100 people, and we use it for both our engineering teams as well as task management for our client services teams.

A constant issue that keeps coming up is that folks get lots of emails but it's very hard to determine things that are important, namely when someone @name's them, and when things are not important, e.g. they're subscribed to a task and that task gets one of the following: an additional subscriber, tags added/removed, an innocuous eng-only-oriented update, etc.

As a result, we've had many people not catching important things in phab. And sadly Gmail has no way to filter on the "@" symbol and there's no other unique identifier in these emails such that they can be called out. Thus people drop balls quite often, in fact, because they don't see when people are "@"'ing them among all the other emails they receive.

This issue along with search challenges and some small UX changes where functionality that was useful was removed are our biggest problems as SaaS customers. I'm happy to jump on a call with anyone that wants to chat about any of this further.

Cheers,
David Murray (CTO, Doctor.com)

@Taskle, if you're a Phacility SAAS customer can you ping me at support@phacility.com with your instance name? I can't immediately find it. We're working to formalize the SAAS/prioritization relationship a little better, but we can push more weight behind requests if they're coming from paying customers vs free self-installs.

@epriestley we're actually not, we're a SaaS users of Phabricator, self-hosted (dev.doctor.com). We are indeed free installs, but my gut is that our needs are no different than those SaaS folks that pay you. I'm offering my time as a form of thank you for what you've offered for free, though :) if you're interested in talk to large-scale customers and learning what their needs are (and even what they might pay for, as an example).

chad added a comment.Mar 15 2017, 11:10 PM

I'm not sure I understand. You want Phacility to spend development resources to understand your needs as a non-paying customer? As a thank-you?

chad added a comment.Mar 15 2017, 11:30 PM

I understand your suggestion, but taking feedback over phone is just like the worst ever for us given customers outnumber us 1,000,000 to 1 or so. It's not scalable which is why we ask people to participate here.

Allow me to clarify: as a product manager I've found it incredibly useful to talk to both current paying customers as well as prospective paying customers and users of existing free products to learn about their needs and things that work well and don't work well in the spirit of improving our products. I find that qualitative conversations like this can be very useful, sometimes more useful than quantitative and written communication.

chad added a comment.EditedMar 15 2017, 11:45 PM

You already have all that in this public forum. We take feedback, feature requests, bug reports, have an open roadmap and design process - all for paying and non-paying customers.

I'm saying for you, not for me. Nevermind, I'm gathering that having verbal conversations isn't a priority for you guys and you don't see the value in it. No problem.

epriestley moved this task from Backlog to Requests on the Customer Impact board.

It doesn't look like Thunderbird can do this either. I did a "Body" "doesn't contain" "@Mattflaschen-WMF", and it just moves it anyway even if it is a ping (does have an @).

I looked at http://mesquilla.com/extensions/filtaquilla/ , but apparently it can only do regex matches on Subject and Header.

epriestley closed this task as Resolved.Feb 8 2018, 7:28 PM
epriestley claimed this task.

I'm going to roll this forward into T13069.

At HEAD of master, the X-Phabricator-Mail-Stamps header will include mention(@username) for mentioned users so this mail can be routed on the client (by labeling/tagging it or moving it into a separate higher priority folder). T13069 covers making this mail routable within Phabricator.